# Enum Class VulkanDeviceQueueCreationFlag

java.lang.Object
java.lang.Enum<VulkanDeviceQueueCreationFlag>
com.io7m.jcoronado.api.VulkanDeviceQueueCreationFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanDeviceQueueCreationFlag>`, `Constable`

public enum VulkanDeviceQueueCreationFlag extends Enum<VulkanDeviceQueueCreationFlag> implements VulkanEnumBitmaskType
The flags used to create device queues.

See Also:
  - "VkDeviceQueueCreateFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DEVICE_QUEUE_CREATE_PROTECTED_BIT`
  Specifies that the device queue is a protected-capable queue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDeviceQueueCreationFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDeviceQueueCreationFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DEVICE_QUEUE_CREATE_PROTECTED_BIT

    public static final VulkanDeviceQueueCreationFlag VK_DEVICE_QUEUE_CREATE_PROTECTED_BIT
    Specifies that the device queue is a protected-capable queue.

- ## Method Details

  - ### values

    public static VulkanDeviceQueueCreationFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDeviceQueueCreationFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant